;
;                                     
;                                           
;                                     
;                             
;                           Version 3.0 - May 1997
;                              Copyright (C)1997
;                    Keith Burzinski (tsk3000@Prodigy.Net)
;                  Michael Wyman (wyma0012@gold.tc.umn.edu)
;                                   
; This file contains ONLY CShell specific data, and is intended ONLY
;   as a suppliment to the TI-85.H header file.  Please use the TI-85.H file
;   for more specific calculator/compiler information.
;

;
; #DEFINE for MPIR (Multi-Purpose Internal Routine) Call included in CShell
;
#DEFINE MPIR_CALL(index)        call $8C09 \ .db index


;
; #DEFINEs for conditional MPIR_CALL's. The functionality of these
;  calls will be implemented in your own program, not in CShell.
;
#DEFINE MPIR_CALL_C(index)      .db $30,$04 \ call $8C09 \ .db index
#DEFINE MPIR_CALL_NC(index)     .db $38,$04 \ call $8C09 \ .db index
#DEFINE MPIR_CALL_Z(index)      .db $20,$04 \ call $8C09 \ .db index
#DEFINE MPIR_CALL_NZ(index)     .db $28,$04 \ call $8C09 \ .db index


;
; Call Indexes
; These indexes are used in the MPIR_CALL macro to call functions that
;   are in CShell, and may be used by ANY program.
; Please see the file "MPIR.TXT" for information reguarding these functions.
;
WAITKEY         =$40    ; wait for a keypress with APD, a = scancode on return
SET_HILITE      =$41    ; places a highlite at HILITE_POS, enables CHK_HILITE
CHK_HILITE      =$42    ; check if highlite bar should move & move it if necessary
HIGHLITE_UP     =$43    ; moves highlite bar up one line
HIGHLITE_DOWN   =$44    ; moves highlite bar down one line
UP_CONTRAST     =$45    ; increases contrast by one (1) level
DOWN_CONTRAST   =$46    ; decreases contrast by one (1) level
SHUTDOWN        =$47    ; turn off the TI-85
BLOCKER         =$48    ; turns off/inverts row(s) of pixels across the screen
VERT_LINE       =$49    ; draws a vertical line down the screen


;
; Call addresses
; These addresses are in the same location in all ROM versions, and can
; therefore be accessed through a direct call.
; There is no need to use the ROM_CALL function.
; Instead, use e.g. "call LD_HL_MHL", without using any macro.
;
APD_RESET       =$0115  ; resets $8009 to $A1

;
; CShell Data Locations
; These are addresses accessed or used by some MPIRs.
; Please see the file "MPIR.TXT" for information reguarding these addresses.
;
CS_BITS         =$8C40  ; bit 0 set: checksum again
                        ; bit 1 set: immediate exit from CShell
CSNT_ACCESS     =$8C41  ; Program access byte used by CShell
BAR_MAX         =$8C42  ; Maximum position of Highlite Bar (bottom)
BAR_MIN         =$8C43  ; Minimum position of Highlite Bar (top)
HILITE_POS      =$8C44  ; Actual position of Highlite Bar
WAIT_DELAY      =$8C45  ; Used by WAITKEY to determine time until APD occurs
APD_TIMER       =$8009  ; Timer for APD Delay, decrimented when $8008 is zero
APD_TIMER2      =$8008  ; decrimented at every interrupt, if zero $8009 is dec
